/***************************************************************************
                          main.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 11:54:44 CDT 1999
                                           
    copyright            : (C) 1999 by Joe Nelson                         
    email                : 3nelsons@pressenter.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "easyaddress.h"
#include "easyneterror.h"
#include "easysocket.h"
#include <iostream>
#include <string>
#include <stdlib.h>
using namespace std;

int main(void){
try
{
	string ipOrHost;

	cout << "Enter an IP or hostname: ";
	cin >> ipOrHost;

	EasyAddress host(ipOrHost);

	cout << "\n\nTrying to connect on port 80...\n";
	EasySocket sock(host, 80);

	int bytesAtOnce;
	cout << "How many bytes should be read at each chunk? ";
	cin >> bytesAtOnce;
	cout << "Getting /\n";

	sock.Write("GET /\r\n");
	
	string recievedChunk;
	cout << "Receiving...\n";
	while(sock.Read(recievedChunk, bytesAtOnce))
		cout << recievedChunk;
	cout << endl;
}
catch(EasyNetError &e)
{
	cerr << "An exception occurred in " << e.where() << endl;
	cerr << "Description: " << e.what() << endl;
	cerr << "Error num: " << e.errornum() << endl;
	return EXIT_SUCCESS;
}

	return EXIT_SUCCESS;
}
